@import "../../assets/variables";

.table {
  $root: &;
  background: $color-white;
  box-shadow: 0 2px 15px -3px rgba(0, 0, 0, 0.4);
  border-radius: $br-default;

  display: flex;
  flex-direction: column;

  flex-grow: 1;

  position: relative;

  &__content {
    height: 0;
    flex-grow: 1;

    width: 100%;

    display: flex;
    flex-direction: column;
  }

  &__scroll {
    background: #dbdbdb;
    position: absolute;
    opacity: 0;
    transition: opacity .15s, width .15s, bottom .15s, right .15s;

    &--vertical {
      width: 4px;
      right: 0;
      bottom: 0;
    }

    &--horizontal {
      height: 4px;
      bottom: 0;
      left: 0;
      right: 0;
    }

    &-track {
      position: absolute;
      background: #c2c2c2;

      &--vertical {
        left: 0;
        right: 0;
      }

      &--horizontal {
        top: 0;
        bottom: 0;
      }
    }
  }

  &__table {
    border-collapse: collapse;
    min-width: 100%;

    thead {
      tr {
      }
    }

    tbody {
      tr {

      }
    }

    tr {

    }

    th {
      padding: $padding-md $padding-lg;
      position: sticky;
      top: 0;
      font-weight: normal;
      text-align: left;
      background: $color-gray-fill;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;

      > hr {
        position: absolute;
        bottom: 0;
        right: 0;
        left: 0;
        height: 1px;
        background: $color-gray;
      }
    }

    td {
      padding: $padding-lg;
      border-bottom: 1px solid $color-gray;
    }
  }

  &--is-scrollable {

    #{$root}__content {
      overflow: auto;

      &::-webkit-scrollbar
      {
        display: none;
      }
    }

    &:hover,
    &:focus {
      #{$root}__scroll {
        opacity: 1;

        &--vertical {
          width: 10px;
        }

        &--horizontal {
          height: 10px;
          right: 10px;
        }
      }
    }
  }
}
